Skip to content

Create a custom field option

Request

Adds a new option to a LIST type custom field.

Not permitted for FREE_TEXT custom fields or custom fields created by accounting integrations.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
custom_field_idstring, (uuid)required

The ID of the custom field.

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6
Bodyapplication/jsonrequired
textstringrequired

The display text for this option.

Example:"Project Alpha"
POST
/v1/businesses/{client_id}/custom-fields/{custom_field_id}/options
curl -i -X POST \
  https://public.letsweel.com/v1/businesses/123/custom-fields/3fa85f64-5717-4562-b3fc-2c963f66afa6/options \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "text": "Project Alpha"
  }'

Responses

Created

Bodyapplication/json
idstring, (uuid)

The unique identifier for this option.

Example:"3fa85f64-5717-4562-b3fc-2c963f66afa6"
textstring

The display text of this option.

Example:"Project Alpha"
enabledboolean

Whether this option is available for selection.

Example:true
createdstring, (date-time)

The date and time when this option was created.

Example:"2024-01-15T09:00:00Z"
updatedstring, (date-time)

The date and time when this option was last updated.

Example:"2024-01-15T09:00:00Z"
Response
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "Project Alpha", "enabled": true, "created": "2024-01-15T09:00:00Z", "updated": "2024-01-15T09:00:00Z" }